; vcl.jsh
; (c) 2019 by Udo Egner-Walter

; ------------------------------------------------------------------------------------------
; Konstanten 
; ------------------------------------------------------------------------------------------

Const
   ; ------------------------------------------------------------------------------------------------------------
   ; Konstanten zum Ermitteln von Infos anhand statischem Text
   ; ------------------------------------------------------------------------------------------------------------
   cPosition = 0,
   cLengthOrRemainingTime = 1,
   cFilename = 2,
   cSpeed = 3,
   cPositionOrRemainingTimeAndLength = 4, 
   ; ------------------------------------------------------------------------------------------------------------
   ; Konstanten fr Meldungen
   ; ------------------------------------------------------------------------------------------------------------
   MsgVLCFilename = "VLC Mediaplayer",
   MsgTimeRemaining = "verbleibende Zeit ", 
   MsgTimeLength = " Gesamt: ",
   MsgTimePos = "Aktuell: ",
   MsgStatusBarInaktiv = "Zur Ansage dieser Information muss die Statuszeile im Men Ansicht eingeblendet sein. ",
   MsgStatusBarChangeInaktiv = "Um diese Einstellung zu ndern, muss die Statuszeile im Men Ansicht eingeblendet sein. ",
   MsgSpeed100 = "1,0 entspricht einfache Geschwindigkeit", 
   MsgSpeed067 = "0,67 entspricht ein drittel langsamer",
   MsgSpeed050 = "0,5 entpsricht halbe Geschwindigkeit",
   MsgSpeed033 = "0,33 entspricht zwei drittel langsamer",
   MsgSpeed025 = "0,25 entspricht drei viertel langsamer",
   MsgSpeed012 = "0,12 entspricht sieben achtel langsamer",
   MsgSpeed150 = "1,5 entspricht eineinhalbfacher Geschwindigkeit",
   MsgSpeed200 = "2,0 entspricht doppelter Geschwindigkeit",
   MsgSpeed300 = "3,0 entspricht dreifacher Geschwindigkeit",
   MsgSpeed400 = "4,0 entspricht vierfacher Geschwindigkeit",
   MsgSpeed800 = "8,0 entspricht achtfacher Geschwindigkeit",
   MsgSpeed1613 = "16,13 entspricht etwa sechzehnfacher Geschwindigkeit",
   MsgSpeed3125 = "31,25 entspricht etwa zweiunddreiigfacher Geschwindigkeit",
   MsgSpeed0 = " fach",
   MsgNoFileOpen = "Keine Datei geffnet",
   MsgMutingOn = "Stummschaltung ein", 
   MsgMutingOff = "Stummschaltung aus", 
   MsgVolumeUp = "Lauter", 
   MsgVolumeDown = "Leiser", 
   MsgChangeTimeDisplayRemainingTime = "Die Anzeige in der Positionsanzeige wurde auf verbleibende Zeit umgestellt", 
   MsgChangeTimeDisplayTotalLength = "Die Anzeige in der Positionsanzeige wurde auf Gesamtlnge umgestellt", 
   MsgChangeTimeDisplayStatusbarRemainingTime = "Die Anzeige in der Statuszeile wurde auf verbleibende Zeit umgestellt", 
   MsgChangeTimeDisplayStatusbarPosition = "Die Anzeige in der Statuszeile wurde auf aktuelle Position umgestellt",    
   MsgApplication = "Anwendungen", 
   MsgRandomOn = "Zufallswiedergabe ein", 
   MsgRandomOff = "Zufallswiedergabe aus", 
   MsgRepeatNothing = "nichts wiederholen", 
   MsgRepeatFile = "aktuelle Datei wiederholen", 
   MsgRepeatPlaylist = "Wiedergabeliste wiederholen", 
   MsgNoPlayerWindow = "VLC Anwendungsfenster nicht gefunden",
   MsgNoWindowsOpen = "Keine offnen Fenster gefunden",
   MsgDlgRecentFileTitle = "Zuletzt geffnete Dateien", 
   MsgDlgWindowsTitle = "Geffnete VLC Fenster", 
   MsgPlaylist = "Wiedergabeliste im Player eingeschaltet." ,
   MsgPlaylistWarning = "Hinweis: Die Wiedergabeliste ist derzeit fr Screenreader nicht zugnglich. Es wird empfohlen, diese wieder zu deaktivieren", 
   MsgNoPlaylist = "Player-Fenster aktiviert", 
   MsgDisabled = " deaktiviert", 
   MsgNoRecentFilelist = "Die Liste der zuletzt geffnete Dateien ist leer",
   MsgTitleNumbers = "Gesamtanzahl der Titel",
   MsgNoShortcutsInPlaylist = "",
   MsgSkinWarning = "Achtung, das ndern dieser Einstellung kann dazu fhren, dass die JAWS-Skripts nicht mehr ordnungsgem funktionieren.",
   MsgNoUIA = "Konnte kein UIA-Objekt ermitteln", 
   ; ------------------------------------------------------------------------------------------------------------
   ; Sprachspezifische Konstanten: Description (MSAA)
   ; ------------------------------------------------------------------------------------------------------------
   cDescriptionWindowMinimize = "Minimiert das Fenster.", 
   cDescriptionWindowMaximize = "Maximiert das Fenster.",
   cDescriptionWindowClose = "Schliet das Fenster.", 
   cDescriptionButtonRecord = "Aufnehmen", 
   cDescriptionButtonVideoScreenshot = "Videoschnappschuss machen", 
   cDescriptionButtonRepeatFromAtoB = "Von Punkt A nach Punkt B kontinuierlich wiederholen.",
   cDescriptionButtonFrame = "Frame fr Frame", 
   cDescriptionButtonPlay = "Falls die Wiedergabeliste leer ist, ein Medium ffnen", 
   cDescriptionButtonStop = "Wiedergabe stoppen",
   cDescriptionButtonBack = "Vorheriges Stck in der Wiedergabeliste; gedrckt halten, um zurckzuspulen",
   cDescriptionButtonNext = "Nachfolgendes Stck in der Wiedergabeliste; gedrckt halten, um vorwrtszuspulen",
   cDescriptionButtonFullscreen = "Vollbildmodus umschalten",
   cDescriptionButtonOptions = "Erweiterte Optionen anzeigen",
   cDescriptionButtonPlayList = "Wiedergabeliste an-/ausschalten",
   cDescriptionCheckBoxRepeat = "Umschalten zwischen den Optionen Liste wiederholen, Einzelstck wiederholen oder keine Wiederholung",
   cDescriptionCheckBoxRandom = "Zufllig",
   cDescriptionCheckBoxPlaylist = "Wiedergabeliste an-/ausschalten",
   cDescriptionCheckBoxRecord = "Aufnehmen",
   ; ------------------------------------------------------------------------------------------------------------
   ; Sprachspezifische Konstanten: Fenster-/Dialogtitel
   ; ------------------------------------------------------------------------------------------------------------
   cPlayerDisplayName = "VLC Media Player", 
   cPlayerWindowName = "VLC media player",
   cDialogNameEffects = "Anpassungen und Effekte",   
   cDialogNameSimplePreferences = "Einfache Einstellungen",
   cDialogNameBookmarks = "Lesezeichen bearbeiten",
   cDialogNameGoTo = "Zu Zeitpunkt gehen",
   cTabControlsTitle = "Registerkarten",
   cDialogNameMediaInfos = "Aktuelle Medieninformationen",
   cDialogNameVLMConfiguration = "VLM-Konfiguration", 
   cDialogNameMessages = "Meldungen", 
   cEditComments = "Kommentare",
   ; ------------------------------------------------------------------------------------------------------------
   ; Fensterklassennamen (GetWindowClass), 
   ; Fenster-Name (GetWindowName)
   ; ------------------------------------------------------------------------------------------------------------
   cQWidgetClass = "QWidget", 
   cQToolClass = "QTool", 
   cQWindowIcon = "Qt5QWindowIcon",
   cCommonWindowName = "vlc", 
   ; ------------------------------------------------------------------------------------------------------------
   ; XPath-Ausdrcke fr XML
   ; ------------------------------------------------------------------------------------------------------------
   cXPathMute = "//item[@Description='Ton aus']", 
   cXPathFiles = "//item[@Name='Zuletzt geffnete Medien ffnen Alt+Z']/item/item",
   ; ------------------------------------------------------------------------------------------------------------
   ; Action-Konstanten
   ; ------------------------------------------------------------------------------------------------------------
   cActionInvoke = 0, 
   cActionSetFocus = 1,
   cActionMouseClick = 2,
   ; ------------------------------------------------------------------------------------------------------------
   ; Muting-Konstanten
   ; ------------------------------------------------------------------------------------------------------------
   cMutingOff = 0, 
   cMutingOn = 1,
   cMutingError = 2,
   ; ------------------------------------------------------------------------------------------------------------
   ; Key-Konstanten
   ; ------------------------------------------------------------------------------------------------------------
   cKeyM = 50, 
   cKeyR = 19,
   cKeyL = 38,
   ; ------------------------------------------------------------------------------------------------------------
   ; Sonstige Konstanten
   ; ------------------------------------------------------------------------------------------------------------
   cListOfTabs = "|Interface|Audio|Video|Untertitel/Bildschirmanzeige|Eingang/Codecs|Tastenkrzel|", 
   cTabControlItem = ", Registerkarte. ",
   cTabControlItemHelp = "Um Seiten zu wechsln verwenden Sie eine der Pfeiltasten",
   cDummy = "Damit die letzte Konstante kein Komma hat, stehe ich da :-)"

; ------------------------------------------------------------------------------------------------------
; Globale Variablen
; ------------------------------------------------------------------------------------------------------

Globals
   int giOldState,
   int giNewState, 
   int giTabPosition, 
   int giInCommentsEdit,
   handle ghPlayer,
   int giUseFlashMessage,
   object oDummy

